<template>
  <div class="ti-form">
    <input id="queue" name="queue" v-model="mail.queue" class="input" type="hidden" value="infra">
    <p class="content" v-if="isAuthenticated">
      <strong>Chamado aberto por:</strong><br />
			{{ user.name }} ({{ user.username }}) - {{ user.sector }}<br />
			{{ user.email }}
      <b-input name="name" type="hidden" :value="user.name"></b-input>
      <b-input name="login" type="hidden" :value="user.username"></b-input>
      <b-input name="email" type="hidden" :value="user.email"></b-input>
      <b-input name="sector" type="hidden" :value="user.sector"></b-input>
		</p>
		<div v-else>
			<b-field label="Nome">
				<b-input id="name" name="name" v-model="mail.name" value=""></b-input>
			</b-field>

			<b-field label="Siape ou Matrícula">
				<b-input id="login" name="login" v-model="mail.login" value=""></b-input>
			</b-field>
			
			<b-field label="Setor">
				<b-input id="sector" name="sector" v-model="mail.sector" value=""></b-input>
			</b-field>

			<b-field label="E-mail" message="Dê preferência ao e-mail institucional">
				<b-input id="email" name="email" v-model="mail.email" value="" type="email"></b-input>
			</b-field>

			<b-field label="Chefe imediato">
				<b-input id="chief" name="chief" v-model="mail.chief" value="" type="email"></b-input>
			</b-field>

    </div>
    <input id="emailto" name="emailto" class="input" type="hidden" value="osinfra.qxd@ifce.edu.br">
    <div class="field">
      <div class="control is-expanded">
        <label class="label" for="subject">Assunto</label>
        <span class="select is-fullwidth">
					<select id="subject" name="subject" class="">
							<option selected disabled>Selecione uma opção</option>
							<optgroup label="Elétrica">
								<option value="Elétrica/Acompanhamento de Técnico Especialista">Acompanhamento de Técnico Especialista</option>
								<option value="Elétrica/Conserto de ar condicionado">Conserto de ar condicionado</option>
								<option value="Elétrica/Conserto de tomadas">Conserto de tomadas</option>
								<option value="Elétrica/Dreno de ar condicionado">Dreno de ar condicionado</option>
								<option value="Elétrica/Estrutura elétrica">Estrutura elétrica</option>
								<option value="Elétrica/Fixação de refletores">Fixação de refletores</option>
								<option value="Elétrica/Instalação de ar condicionado">Instalação de ar condicionado</option>
								<option value="Elétrica/Instalação de exaustor">Instalação de exaustor</option>
								<option value="Elétrica/Instalação de para raios">Instalação de para raios</option>
								<option value="Elétrica/Limpeza de ar condicionado">Limpeza de ar condicionado</option>
								<option value="Elétrica/Substituição de equipamento">Substituição de equipamento</option>
								<option value="Elétrica/Testar equipamento">Substituição de equipamento</option>
								<option value="Elétrica/Troca de lâmpadas">Troca de lâmpadas</option>
								<option value="Elétrica/Verificação de ar condicionado">Verificação de ar condicionado</option>
								<option value="Elétrica/Verificação de quadros elétricos">Verificação de quadros elétricos</option>
								<option value="Elétrica/Verificação de rotina">Verificação de rotina</option>
								<option value="Elétrica/Verificação de estrutura elétrica">Verificação de estrutura elétrica</option>
								<option value="Elétrica/Verificação de motor">Verificação de motor</option>
							</optgroup>
							<optgroup label="Estrutura Predial">
								<option value="Estrutura Predial/Alvenaria">Alvenaria</option>
								<option value="Estrutura Predial/Aplicação de silicone">Aplicação de silicone</option>
								<option value="Estrutura Predial/Bomba">Bomba</option>
								<option value="Estrutura Predial/Calçamento">Calçamento</option>
								<option value="Estrutura Predial/Captação de água pluvial">Captação de água pluvial</option>
								<option value="Estrutura Predial/Cercamento">Cercamento</option>
								<option value="Estrutura Predial/Consertar infiltração">Consertar infiltração</option>
								<option value="Estrutura Predial/Consertar porta">Consertar porta</option>
								<option value="Estrutura Predial/Consertar rachadura">Consertar rachadura</option>
								<option value="Estrutura Predial/Consertar forro/telhado">Consertar forro/telhado</option>
								<option value="Estrutura Predial/Instalação de objetos">Instalação de objetos</option>
								<option value="Estrutura Predial/Instalação ou fixação de objetos">Instalação ou fixação de objetos</option>
								<option value="Estrutura Predial/Limpeza">Limpeza</option>
								<option value="Estrutura Predial/Pintura">Pintura</option>
								<option value="Estrutura Predial/Reforma">Reforma</option>
								<option value="Estrutura Predial/Reforma/reboco/infiltração">Reforma/reboco/infiltração</option>
								<option value="Estrutura Predial/Reparar infiltração">Reparar infiltração</option>
								<option value="Estrutura Predial/Reparar vedação">Reparar vedação</option>
								<option value="Estrutura Predial/Reparar descarga">Reparar descarga</option>
								<option value="Estrutura Predial/Reparos">Reparos</option>
								<option value="Estrutura Predial/Trocar fechaduras">Trocar fechaduras</option>
								<option value="Estrutura Predial/Trocar porta">Trocar porta</option>
								<option value="Estrutura Predial/Verificar porta">Verificar porta</option>
							</optgroup>
							<optgroup label="Hidráulica">
								<option value="Hidráulica/Consertar caixa de descarga">Consertar caixa de descarga</option>
								<option value="Hidráulica/Consertar chuveiro">Consertar chuveiro</option>
								<option value="Hidráulica/Consertar hidrante">Consertar hidrante</option>
								<option value="Hidráulica/Consertar vazamento">Consertar vazamento</option>
								<option value="Hidráulica/Desentupimento de canos">Desentupimento de canos</option>
								<option value="Hidráulica/Drenagem">Drenagem</option>
								<option value="Hidráulica/Esgoto">Esgoto</option>
								<option value="Hidráulica/Instalação de chuveiros">Instalação de chuveiros</option>
								<option value="Hidráulica/Recuperar poço">Recuperar poço</option>
								<option value="Hidráulica/Retirar bomba">Retirar bomba</option>
								<option value="Hidráulica/Verificar caixa d'água">Verificar caixa d'água</option>
							</optgroup>
							<optgroup label="Jardinagem">
								<option value="Jardinagem/Capinagem">Capinagem</option>
								<option value="Jardinagem/Dedetização">Dedetização</option>
								<option value="Jardinagem/Plantio">Plantio</option>
								<option value="Jardinagem/Podar">Podar</option>
								<option value="Jardinagem/Serviço de capinagem">Serviço de capinagem</option>
							</optgroup>
							<optgroup label="Limpeza">
								<option value="Limpeza/Resíduos Sólidos">Resíduos Sólidos</option>
							</optgroup>
							<optgroup label="Mudança">
								<option value="Mudança/Transferência temporária">Transferência temporária</option>
								<option value="Mudança/Transferir livros">Transferir livros</option>
								<option value="Mudança/Transferir mobiliário">Tranferir mobilária</option>
								<option value="Mudança/Transporte de material expediente">Transporte de material expediente</option>
							</optgroup>
							<optgroup label="Rede lógica">
								<option value="Rede lógica/Ponto de rede de dados">Ponto de rede de dados</option>
							</optgroup>
							<optgroup label="Serviços Adicionais">
								<option value="Serviços Adicionais/Apoio de pessoal">Apoio de pessoal</option>
								<option value="Serviços Adicionais/Empréstimo temporário">Empréstimo temporário</option>
								<option value="Serviços Adicionais/Fazer café ou chá">Fazer café ou chá</option>
								<option value="Serviços Adicionais/Montagem de estrutura elétrica">Montagem de estrutura elétrica</option>
							</optgroup>
					</select>
        </span>
      </div>
    </div>

    <b-field label="Tombo do equipamento" message="Caso não tenha, deixar em branco">
      <b-input id="number" name="number" v-model="mail.number" value=""></b-input>
    </b-field>

    <div class="field">
      <label class="label" for="content">Descreva o problema/requisição aqui</label>
      <div class="control">
        <textarea id="content" name="content" v-model="mail.content" class="textarea" placeholder=""></textarea>
      </div>
    </div>
    <the-form-buttons v-on:save="save" v-on:cancel="cancel"></the-form-buttons>

    <b-loading :is-full-page="true" :active.sync="isLoading" :can-cancel="false"></b-loading>
  </div>
</template>

<script>
import TheFormButtons from '@/components/TheFormButtons'

export default {
  name: 'InfraForm',
  props: {
    ticket: String,
  },
  data: function ()  {
    return {
      mail: {} 
    }
  },
  created () {
	},
  components: {
    'the-form-buttons': TheFormButtons
  },
  methods: {
    save () {
      var payload = {}
      if (this.isAuthenticated) {
        payload = {
          name: this.user.name,
          login: this.user.username,
          sector: this.user.sector,
          email: this.user.email
        }
      } else {
        payload = {
          name: this.mail.name,
          login: this.mail.login,
          sector: this.mail.sector,
          email: this.mail.email
        }
      }
      payload['queue'] = 'infra'
      payload['emailto'] = 'osinfra.qxd@ifce.edu.br'
      payload['subject'] = this.mail.subject
      payload['number'] = this.mail.equipament_number
      payload['content'] = this.mail.content
      this.$store.dispatch('sendMail', payload)

    },
    cancel () {
      this.$router.go(-1)
    },
  },
  computed: {
    isAuthenticated () {
      return this.$store.getters.isAuthenticated
    },
		user () {
			return this.$store.getters.user
		},
    isLoading () {
      return this.$store.state.tickets.loading
    }
  }
}
</script>
<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
</style>
